curl -X POST "https://api.scanova.io/bulk-operation/validate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "category=vcard" \
-F "file=@vcard-batch.csv"
{
"is_valid": true,
"validation_errors": [],
"validation_warnings": [],
"file_info": { "rows": 500, "columns": ["qr code id", "name", "phone"] },
"message": "File is valid."
}
批量操作
验证批量操作文件
POST /bulk-operation/validate/
POST
/
bulk-operation
/
validate
/
curl -X POST "https://api.scanova.io/bulk-operation/validate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "category=vcard" \
-F "file=@vcard-batch.csv"
{
"is_valid": true,
"validation_errors": [],
"validation_warnings": [],
"file_info": { "rows": 500, "columns": ["qr code id", "name", "phone"] },
"message": "File is valid."
}
在 Management API 主机(
此调用不会创建任何内容——不会创建
api.scanova.io)上对上传的表格进行试运行验证,对照分类的模式进行检查,使用您的原始 Management API 密钥进行身份验证。
POST https://api.scanova.io/bulk-operation/validate/
Authorization: 401f7ac837da42b97f613d789819ff93537bee6a
string
必填
该表格所对应的 QR 分类 slug,最多 100 个字符。
curl -X POST "https://api.scanova.io/bulk-operation/validate/" \
-H "Authorization: 401f7ac837da42b97f613d789819ff93537bee6a" \
-F "category=vcard" \
-F "file=@vcard-batch.csv"
{
"is_valid": true,
"validation_errors": [],
"validation_warnings": [],
"file_info": { "rows": 500, "columns": ["qr code id", "name", "phone"] },
"message": "File is valid."
}
BulkOperation 记录,也不会创建 QR 码。可用它在调用批量生成 QR 码之前预先发现列/行错误。成功时返回 200 且 is_valid: true;否则返回 400,is_valid: false 并附带填充的 validation_errors。
相关内容
- 下载示例文件——此表格应据以填写的模板。
- 批量生成 QR 码——验证通过后的实际执行。
- Management API 概览——适用于此端点的身份验证方案和配额规则。
授权
Send your Management API key as the raw value of the Authorization header — no "Bearer " or "Token " prefix, and no other characters. Example: Authorization: 401f7ac837da42b97f613d789819ff93537bee6a. A header containing more than one space-separated part is rejected outright. Requests also require the request's Host header to be the management API host (e.g. api.scanova.io) — the same key sent to the regular API host will not authenticate.
响应
File is valid.
此页面对您有帮助吗?